package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtStuIdReissue;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 学生证补办Mapper接口
 *
 * @author srs
 * @date 2024-05-16
 */
public interface RtStuIdReissueMapper extends BaseMapper<RtStuIdReissue> {
    /**
     * 查询学生证补办
     *
     * @param id 学生证补办主键
     * @return 学生证补办
     */
    public RtStuIdReissue selectRtStuIdReissueById(Long id);

    /**
     * 查询学生证补办
     *
     * @param stuNo 学生证学号
     * @return 学生证补办
     */
    public RtStuIdReissue selectRtStuIdReissueByStuNo(String stuNo);

    /**
     * 查询学生证补办列表
     *
     * @param rtStuIdReissue 学生证补办
     * @return 学生证补办集合
     */
    List<RtStuIdReissue> selectRtStuIdReissueList(RtStuIdReissue rtStuIdReissue);

    /**
     * 新增学生证补办
     *
     * @param rtStuIdReissue 学生证补办
     * @return 结果
     */
    int insertRtStuIdReissue(RtStuIdReissue rtStuIdReissue);

    /**
     * 修改学生证补办
     *
     * @param rtStuIdReissue 学生证补办
     * @return 结果
     */
    int updateRtStuIdReissue(RtStuIdReissue rtStuIdReissue);

    /**
     * 删除学生证补办
     *
     * @param id 学生证补办主键
     * @return 结果
     */
    int deleteRtStuIdReissueById(Long id);

    /**
     * 批量删除学生证补办
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuIdReissueByIds(Long[] ids);
}
